antlr (2.7.7+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add Python 3 support (Closes: #614505):
    - Add a patch, half made with sixer, half by hand, to add support for Py3.
    - Add runtime depends on python-six in python-antlr.
    - Add a python3 package in debian/control.
    - Add build-depends to python3-all-dev in debian/control (do we really need
      the -dev part here?).
    - Insert correct code to install the Py2 & Py3 modules using setup.py, so
      we are packaging the antlr.py AND its corresponding generated egg-info.
  * Ran wrap-and-sort -bast to minimize git diff and have a cleaner
    debian/control. This was already partially done in 2.7.7+dfsg-8, probably
    by hand.
  * Removed ante-dilluvian Replaces:+Breaks:, now useless after a few releases
    of Debian.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Oct 2017 15:53:54 +0000

antlr (2.7.7+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #873971)
  * Build with the DH sequencer
  * Removed the remaining references to cantlr and gcj
  * Removed the no longer used antlr.snk file (C# signing key)
  * Moved the package to Git
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10
  * Removed the build dependency on autotools-dev

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Oct 2017 16:43:59 +0200

antlr (2.7.7+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Removed the C# package (Closes: #812637)
  * Rebuild with GCC 5 (Closes: #793215)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Jan 2016 09:27:20 +0100

antlr (2.7.7+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Added the missing licences for PyANTLR (Closes: #750643)
  * debian/control:
    - Bumped Standards-Version to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Oct 2014 13:24:25 +0200

antlr (2.7.7+dfsg-5) unstable; urgency=low

  * Team upload.
  * Updated the watch file (contributed by Bart Martens)
  * Bumped Standards-Version to 3.9.4 (no changes)
  * debian/copyright: Updated the Format URL
  * debian/copyright: Fixed a typo reported by Lintian
  * debian/copyright: Removed the GPL header

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Apr 2013 10:13:14 +0200

antlr (2.7.7+dfsg-4) unstable; urgency=low

  * Rebuild for mono-transition.  (Closes: #656760)

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Jan 2012 16:05:41 +0100

antlr (2.7.7+dfsg-3) unstable; urgency=low

  * Team upload.
  * Build using dh_python2.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 11:37:20 +0100

antlr (2.7.7+dfsg-2) unstable; urgency=low

  * Team upload.
  * Add build-arch target to debian/rules.

 -- Niels Thykier <niels@thykier.net>  Thu, 10 Nov 2011 22:05:17 +0100

antlr (2.7.7+dfsg-1) unstable; urgency=low

  * Remove 2 non-free files from orig tarball. Thanks to Sam Geeraerts.
    (Closes: #643576)
  * Do no longer build packages cantlr and libantlr-java-gcj.

 -- Torsten Werner <twerner@debian.org>  Thu, 29 Sep 2011 22:29:52 +0200

antlr (2.7.7-17) unstable; urgency=low

  * Team upload.

  [ Niels Thykier ]
  * Bumped Stands-Versions to 3.9.0.
    - Added some missing Breaks.
  * Removed Arnaud Vandyck, John Leuner and Barry Hawkins from
    uploaders. Thanks for your work on this package.
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.

  [ tony mancill ]
  * Bumped Stands-Versions to 3.9.2. (no changes)
  * Update debian/copyright format to DEP-5.
  * Remove cantlr Depends on gij. (Closes: #628380)

 -- tony mancill <tmancill@debian.org>  Mon, 30 May 2011 12:46:57 -0700

antlr (2.7.7-16) unstable; urgency=low

  * Team upload.
  * Removed java-gcj-compat-dev from Depends. It is not needed anymore.
    (Closes: #572164)
  * Corrected java depends to reflect the target version of the
    resulting class files.
  * Bumped Standards-Version to 3.8.4 - no changes required.
  * Added missing Replaces to python-antlr (Closes: #557876)
  * Bumped debhelper compat to 7.
  * Removed empty dir from the antlr package.
  * Converted source to 3.0 (quilt).
  * Registered antlr's documentation with doc-base.
  * Added description to gcc.diff and converted bin__antlr.diff's
    description to a DEP-3 like format.

 -- Niels Thykier <niels@thykier.net>  Tue, 23 Mar 2010 11:16:02 +0100

antlr (2.7.7-15) unstable; urgency=low

  * Use mono-csc as $CSHARPC. (Closes: #571032)
  * Add missing ${cli:Depends} to libantlr2.7-cil.

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Feb 2010 18:51:11 +0100

antlr (2.7.7-14) unstable; urgency=low

  * Add debian/patches/antlr-cs-signing.patch to sign C# dlls
    (Closes: #540737).
  * Add debian/patches/antlr-config.patch to support --cxxflags
    for antlr-config (Closes: #523051).
  * Build-Depend on debhelper (>= 5) and cli-common-dev (>= 0.7).
  * Make sure DLLs in libantlr2.7-cli are not executable.
  * Moved source, libantlr-java and libantlr-java-gcj to section java.
  * Moved libantlr2.7-cil to section cli-mono.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 07 Sep 2009 21:44:27 +0200

antlr (2.7.7-13) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 09:58:42 +0200

antlr (2.7.7-12) experimental; urgency=low

  * Bump standard version to 3.8.2 (no changes)
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add the Maven POM and deploy the jar in the Maven repository.
  * Set architecture to any for libantlr-dev (Closes: #505665)
  * Fix installation of changelog for cantlr and libantlt-dev packages

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 20 Jul 2009 23:06:06 +0100

antlr (2.7.7-11) unstable; urgency=low

  [ Jan Dittberner ]
  * add debian/patches/bin___antlr.diff, add it to debian/patches/series
    and make it replace bin/antlr (fixes lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/rules: remove unnecessary dh_pysupport for antlr package as
    Python code moved to python-antlr in 2.7.7-10
  * debian/control:
    - update Standards-Version to 3.8.0
    - add ${misc:Depends} to Depends of all binary packages (fixes
      lintian warnings debhelper-but-no-misc-depends)
  * debian/README.source: add information on how to use quilt

  [ Torsten Werner ]
  * Switch to mono-devel (aka transition to Mono 2.0). (Closes: #517560)

 -- Torsten Werner <twerner@debian.org>  Sat, 28 Feb 2009 20:26:45 +0100

antlr (2.7.7-10) unstable; urgency=low

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Convert changes to Charscanner.hpp to a patch file and improve this patch
    for gcc 4.4 thanks to Martin Michlmayr. (Closes: #505366)

  [ Jan Dittberner ]
  * Fix watch file. (Closes: #511862)
  * Create a separate package python-antlr. (Closes: #511306)
  * Add missing build-dependency java-gcj-compat-dev. (Closes: #511849)

  [ Asheesh Laroia ]
  * Fixed cantlr package to depend on libantlr-java-gcj rather than
    nonexistent antlr-gcj (finishing migration started in 2.7.7-8).
    (Closes: #504050)

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Jan 2009 20:37:44 +0100

antlr (2.7.7-9) unstable; urgency=low

  * libantlr-java{,-gcj}: Fix typos in dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Oct 2008 01:08:32 +0200

antlr (2.7.7-8) unstable; urgency=low

  * Build a libantlr-java package, without dependency on a java runtime.
    Needed to bootstrap gcj without having a java runtime installed.
  * Rename antlr-gcj to libantlr-java-gcj.
  * Explicitely call javac with -source 1.4.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Oct 2008 08:01:58 +0200

antlr (2.7.7-7) unstable; urgency=low

  [Michael Koch]
  * Updated watch file to match only Antlr v2.

  [Matthias Klose]
  * antlr: Depend on default-jre-headless.
  * Don't directly build-depend on gcj.
  * Build a antlr-gcj package, replace cantlr with a shell script to use it.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 21:47:32 +0200

antlr (2.7.7-6) unstable; urgency=low

  * Made libantlr-cil arch:all, fixed debian/rules to build it only be
    building arch:all stuff and moved all the needed build dependencies to
    Build-Depends-Indep. Closes: 483558.

 -- Michael Koch <konqueror@gmx.de>  Fri, 30 May 2008 21:24:44 +0200

antlr (2.7.7-5) unstable; urgency=low

  * Build-Depends on default-jdk-builddep. Closes: #477843
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 18:09:47 -0100

antlr (2.7.7-4) unstable; urgency=low

  * Add ${python:Depends} to Depends of antlr. Closes: #468415.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Feb 2008 22:06:17 +0100

antlr (2.7.7-3) unstable; urgency=low

  * Enable building of cshart libs. Closes: #369010
    - Add antrl.snk.uue key for signing CLI assemblies.
    - Use dh_installcligac to install assembiles in the GAC.
    - Replace \ with / in nant build file.
    Thanks to Sam Clegg for the patch.

 -- Michael Koch <konqueror@gmx.de>  Sun, 20 Jan 2008 10:10:58 +0100

antlr (2.7.7-2) unstable; urgency=low

  * Removed Build-Depends pn libgcj-dev. Closes: #359727
  * Removed strip call in debian/Makefile.debian. Closes: #436463

 -- Michael Koch <konqueror@gmx.de>  Sun, 06 Jan 2008 00:52:30 +0100

antlr (2.7.7-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 28 Dec 2007 20:59:10 +0100

antlr (2.7.6-10) unstable; urgency=low

  * Applied patch to lib/cpp/antlr/CharScanner.hpp to make it compile with
    gcc-4.3. Closes: #451831.
  * Updated watch file. Closes: #449655.
  * Check for existance of debian/Makefile.debian before running it.
  * Install CHANGES.txt as upstream changelog file.

 -- Michael Koch <konqueror@gmx.de>  Thu, 29 Nov 2007 12:35:44 +0100

antlr (2.7.6-9) unstable; urgency=low

  * Rebuild against libgcj7-1. Closes: #427331.
  * Fixed typo in antlr-config script. Closes: #402896.

 -- Michael Koch <konqueror@gmx.de>  Sun, 03 Jun 2007 20:25:14 +0200

antlr (2.7.6-8) unstable; urgency=low

  * Added proper python support. Thanks to Bernd Zeimitz.
    Closes: #414847.
  * Put documentation into antlr-doc package. Thanks to Bernd Zeimetz.
  * Build with java-gcj-compat-dev.
  * Don't Build-Depends on autotools-dev twice.
  * Introduce debian/compat instead of DH_COMPAT var in debian/rules.
  * Fixed older changelog entries to fix lintian warnings.

 -- Michael Koch <konqueror@gmx.de>  Sat, 21 Apr 2007 11:16:03 +0200

antlr (2.7.6-7) unstable; urgency=high

  * Added Build-Conflict with mono-jit (Closes: #409726).

 -- Michael Koch <konqueror@gmx.de>  Tue,  6 Feb 2007 07:59:27 +0100

antlr (2.7.6-6) unstable; urgency=low

  * Install antlr.py in install-indep target so it gets included for real
    (Closes: #368965).

 -- Michael Koch <konqueror@gmx.de>  Sun, 28 May 2006 09:21:57 +0000

antlr (2.7.6-5) unstable; urgency=low

  * Copy config.guess and config.sub into scripts during build
    (Closes: #352203).
  * Rebuild against new default gcj.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Tue, 16 May 2006 10:53:54 +0000

antlr (2.7.6-4) unstable; urgency=low

  * Fixed build of package to not create dirs outside of package root.
  * Fix #352203 for real by Build-Depending on autotools-dev and copying the
    needed files.

 -- Michael Koch <konqueror@gmx.de>  Sat, 11 Feb 2006 16:42:55 +0000

antlr (2.7.6-3) unstable; urgency=low

  * Provide static library compile with PIC (Closes: #351618).
  * Updated config.guess and config.sub (Closes: #352203).

 -- Michael Koch <konqueror@gmx.de>  Sat, 11 Feb 2006 10:29:56 +0000

antlr (2.7.6-2) unstable; urgency=low

  * Added Build-Depends on python.

 -- Michael Koch <konqueror@gmx.de>  Thu, 26 Jan 2006 11:14:28 +0000

antlr (2.7.6-1) unstable; urgency=low

  * New upstream release
    - Works with hibernate (Closes: #329980)
    - Removed two files from orig upstream tarball. See debian/README.source
      (Closes: #340049).
  * debian/control: libantlr-dev: Removed Depends on build essential packages
    libc6-dev and libstdc++5-3.3-dev (Closes: #317373).
  * Added antlr-config script to libantlr-dev (Closes: #336622).
  * Inluded python module in antlr package (Closes: #308356).
  * Cleaned up debian/rules.

 -- Michael Koch <konqueror@gmx.de>  Tue, 24 Jan 2006 23:12:32 +0000

antlr (2.7.5-8) unstable; urgency=low

  * Moved Makefile.debian to debian/Makefile.debian and changed the
    hardcoded version in this file to gcj

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 17 Aug 2005 23:38:13 +0200

antlr (2.7.5-7) unstable; urgency=low

  * Change to default packages for gcj and libgcj-dev to build 
    native version
  * Updated standards version to 3.6.2

 -- Barry Hawkins <barry@bytemason.org>  Thu,  4 Jul 2005 10:51:21 -0400

antlr (2.7.5-6) unstable; urgency=low

  * Use gcj-3.4 to build native version
  * Include antlr.debug.misc.* classes (Closes: #299544)

 -- Michael Koch <konqueror@gmx.de>  Sat,  2 Apr 2005 20:30:51 +0000

antlr (2.7.5-5) unstable; urgency=low

  * Cleanup generated files.

 -- Michael Koch <konqueror@gmx.de>  Fri,  1 Apr 2005 10:20:52 +0000

antlr (2.7.5-4) unstable; urgency=low

  * antlr: make example files not executable

 -- Michael Koch <konqueror@gmx.de>  Fri,  1 Apr 2005 09:30:03 +0000

antlr (2.7.5-3) unstable; urgency=low

  * Fixed Build-Depends on libgcj-dev (Closes: #302325)
  * Fixed configure rules in debian/rules (Closes: #299018)
  * Rebuild with gcc from unstable (Closes: #301508)
  * Correctly strip binary files in debian/rules

 -- Michael Koch <konqueror@gmx.de>  Fri,  1 Apr 2005 07:59:15 +0000

antlr (2.7.5-2) unstable; urgency=low

  * Put files into libantlr-dev (Closes: #294746)
    Thanks to Mike O'Connor for the patch
  * Added myself to Uploaders

 -- Michael Koch <konqueror@gmx.de>  Thu, 10 Mar 2005 08:08:24 +0000

antlr (2.7.5-1) unstable; urgency=low

  * New upstream release
  * no need to go to lib/cpp and run make no more

 -- Arnaud Vandyck <avdyk@debian.org>  Wed,  2 Feb 2005 18:35:05 +0100

antlr (2.7.4-6) unstable; urgency=low

  * debian/watch: corrected, thanks to Justin Pryzby.

 -- Arnaud Vandyck <avdyk@debian.org>  Fri,  1 Oct 2004 11:39:28 +0200

antlr (2.7.4-5) unstable; urgency=low

  * changed libgcj5-dev to libgcj4-dev. Default gcj is still 3.3 serie
    (closes: #273428).
  * debian/watch: added.

 -- Arnaud Vandyck <avdyk@debian.org>  Wed, 29 Sep 2004 10:20:01 +0200

antlr (2.7.4-4) unstable; urgency=low

  * reworked depends field (closes: #268605).

 -- Arnaud Vandyck <avdyk@debian.org>  Mon, 30 Aug 2004 23:48:46 +0200

antlr (2.7.4-3) unstable; urgency=low

  * added a build-depends on libgcj4-dev, thanks to Daniel Schepler
    (Closes: #253615)
  * debian/rules(clean): removed the rm config.status and config.log

 -- Arnaud Vandyck <avdyk@debian.org>  Sat, 12 Jun 2004 18:24:08 +0200

antlr (2.7.4-2) unstable; urgency=low

  * removed the cantlr manpage from antlr package.

 -- Arnaud Vandyck <avdyk@debian.org>  Thu, 10 Jun 2004 01:09:13 +0200

antlr (2.7.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer Debian Java Maintainers, John and I are uploaders
  * debian/copiryght: removed the (s) around Author.
  * debian/control:
    - added  kaffe | gij | sablevm as java-virtual-machine
      alternatives
    - Standards-Version: 3.6.1
  * Re-enable native-code version (Closes: #84909, #193353)
  * Added examples and docs, removed usr/sbin and usr/lib (Closes:
    #238826)
  * arch-dep and indep build are now separated, it should (Closes:
    #223143)

 -- Arnaud Vandyck <avdyk@debian.org>  Thu, 27 May 2004 12:05:35 +0200

antlr (2.7.3-1) unstable; urgency=low

  * New upstream version

 -- John Leuner <jewel@debian.org>  Thu,  8 Apr 2004 15:12:37 +0200

antlr (2.7.2-6) unstable; urgency=low

  * changed debhelper compatibility level to 4
  * added versioned dependency on debhelper 

 -- John Leuner <jewel@debian.org>  Sat,  1 Nov 2003 10:44:41 +0200

antlr (2.7.2-5) unstable; urgency=low

  * Changed C++ library dependency from libstdc++ 2.10
    to libstdc++ 5
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Thu, 16 Oct 2003 18:47:35 +0200

antlr (2.7.2-4) unstable; urgency=low

  * Built on sid with gcc 3.3.2
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Sun, 12 Oct 2003 14:44:20 +0200

antlr (2.7.2-3) unstable; urgency=low

  * Applied patch from Kristian G. Kvilekval which fixes
    a behaviour change from 2.7.1 to 2.7.2. 
    (Closes: #206489)

 -- John Leuner <jewel@debian.org>  Thu,  4 Sep 2003 19:19:56 +0200

antlr (2.7.2-2) unstable; urgency=low

  * Created symlinks to antlr.debug.jar and antlrall.jar
    (Closes: #194953)

 -- John Leuner <jewel@debian.org>  Mon, 18 Aug 2003 13:50:11 +0100

antlr (2.7.2-1) unstable; urgency=low

  * New upstream version 
  * No longer builds libantlr.la (upstream build system has changed)
  * antlr package is now for all architectures

 -- John Leuner <jewel@debian.org>  Sun, 18 May 2003 19:56:09 +0100

antlr (2.7.1-13) unstable; urgency=low

  * More changes to fix out of date build scripts
   (this time in scripts directory)

 -- John Leuner <jewel@debian.org>  Fri, 18 Oct 2002 15:05:55 +0100

antlr (2.7.1-12) unstable; urgency=low

  * Applied changes from Henrique de Moraes Holschuh to fix
    problems with out-of-date autobuild files

 -- John Leuner <jewel@debian.org>  Mon, 30 Sep 2002 11:13:44 +0100

antlr (2.7.1-11) unstable; urgency=low

  * Changed dependency from Kaffe to classpath (Closes: #147235)

 -- John Leuner <jewel@debian.org>  Fri, 24 May 2002 14:01:16 +0100

antlr (2.7.1-10) unstable; urgency=low

  * Renamed /usr/bin/antlr to /usr/bin/runantlr because it conflicts with
    pccts. Closes: #127898

 -- John Leuner <jewel@debian.org>  Mon,  7 Jan 2002 13:54:11 +0000

antlr (2.7.1-9) unstable; urgency=low

  * Created shell script in /usr/bin that will run antlr.Tool 

 -- John Leuner <jewel@debian.org>  Fri,  4 Jan 2002 14:10:52 +0000

antlr (2.7.1-8) unstable; urgency=low

  * Changed install to not set execute permissions on jar files 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 18:07:00 +0000

antlr (2.7.1-7) unstable; urgency=low

  * Applied man page formatting patch by Richard Tibbet 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 17:54:29 +0000

antlr (2.7.1-6) unstable; urgency=low

  * Changed Makefile to make the build shell scripts executable (seems to fail
    with build daemons) (Closes: #105733)

 -- John Leuner <jewel@debian.org>  Wed, 18 Jul 2001 18:07:35 +0000

antlr (2.7.1-5) unstable; urgency=low

  * Changed debian/rules to remove /lib/cpp/src/.deps after make clean. Should fix bugs on hppa,ia64,ppc,m68k

 -- John Leuner <jewel@debian.org>  Sat, 14 Jul 2001 14:16:27 +0000

antlr (2.7.1-4) unstable; urgency=low

  * Version 4 of this package, now compiles the java files (previously I used precompiled classes). Because of this antlr.jar, antlr.debug.jar and antlrall.jar are all copies of the same file (I couldn't determine exactly which files belong where).

  * Removed *ex* files from debian directory

 -- John Leuner <jewel@debian.org>  Sat, 14 Apr 2001 12:05:09 +0000

antlr (2.7.1-3) unstable; urgency=low

  * Changed the Depends: antlr to Recommends for the libantlr-dev package

 -- John Leuner <jewel@debian.org>  Sat,  7 Apr 2001 12:40:50 +0000

antlr (2.7.1-2) unstable; urgency=low

  * Added the c++ library support. Changes to package made by W. Borgert (debacle@debian.org

 -- John Leuner <jewel@debian.org>  Tue, 13 Feb 2001 21:43:23 +0000

antlr (2.7.1-1) unstable; urgency=low

  * Initial Release.

 -- John Leuner <jewel@debian.org>  Tue, 26 Dec 2000 15:07:44 +0000
